# Switch a working copy to a different repository.
[Client working copy management]

## Functions
svn_error_t * | svn_client_relocate2 (const char *wcroot_dir, const char *from_prefix, const char *to_prefix, svn_boolean_t ignore_externals, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Recursively modify a working copy rooted at wcroot_dir, changing any repository URLs that begin with from_prefix to begin with to_prefix instead.
svn_error_t * | svn_client_relocate (const char *dir, const char *from_prefix, const char *to_prefix, svn_boolean_t recurse, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_relocate2(), but with ignore_externals always TRUE.

## Function Documentation

svn_error_t* svn_client_relocate | ( | const char * | dir,
|  | const char * | from_prefix,
|  | const char * | to_prefix,
|  | svn_boolean_t | recurse,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Similar to svn_client_relocate2(), but with ignore_externals always TRUE.

Note:
  As of the 1.7 API, dir is required to be a working copy root directory, and recurse is required to be TRUE.

Deprecated:
  Provided for limited backwards compatibility with the 1.6 API.

svn_error_t* svn_client_relocate2 | ( | const char * | wcroot_dir,
|  | const char * | from_prefix,
|  | const char * | to_prefix,
|  | svn_boolean_t | ignore_externals,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Recursively modify a working copy rooted at wcroot_dir, changing any repository URLs that begin with from_prefix to begin with to_prefix instead.

Parameters:

  | wcroot_dir | Working copy root directory
  | from_prefix | Original URL
  | to_prefix | New URL
  | ignore_externals | If not set, recurse into external working copies after relocating the primary working copy
  | ctx | svn_client_ctx_t
  | pool | The pool from which to perform memory allocations

Since:
  New in 1.7

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines